import java.io.*;
import java.net.*;

public class SimpleSOAP {
	String zipCode;

	public SimpleSOAP(String zipCode) {
		this.zipCode = zipCode;
	}

	public String getRequest() {
		String soapResponse	=	"";
		String soapRequestURL	= 	"http://ws.cdyne.com/WeatherWS/Weather.asmx";
		String soapRequestTXT	= 	"<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n" +
						"<soap:Envelope xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\">\n" +
						"	<soap:Body>\n" +
						"		<GetCityWeatherByZIP xmlns=\"http://ws.cdyne.com/WeatherWS/\">\n" +
						"			<ZIP>" + this.zipCode + "</ZIP>" +
						"		</GetCityWeatherByZIP>\n" +
						"	</soap:Body>\n" +
						"</soap:Envelope>";

		try {
			URL url = new URL(soapRequestURL);
			URLConnection conn = url.openConnection();
			conn.setRequestProperty("Content-Type", "text/xml; charset=utf-8");
			conn.setRequestProperty("Content-Length", "" + soapRequestTXT.length());
			conn.setDoOutput(true);

			OutputStreamWriter wr = new OutputStreamWriter(conn.getOutputStream());

			wr.write(soapRequestTXT);
			wr.flush();

			BufferedReader rd = new BufferedReader(new InputStreamReader(conn.getInputStream()));

			String line = "";
			while ((line = rd.readLine()) != null) {
				soapResponse += line;
			}

			wr.close();
			rd.close();
			
			String r = "xmlns=\"http://ws.cdyne.com/WeatherWS/\"";
						
			String rip = "";
			
			rip=soapResponse.replace(r,"");
			soapResponse=rip;
			return soapResponse;
		} catch (Exception exception) {
			return "OUCH";
		}

	}
}